org.eclipse.incquery.patternlanguage.patternLanguage

## Interface PatternCall

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Implementing Classes:
    PatternCallImpl

      public interface PatternCall
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Pattern Call'.

  The following features are supported:

  - `Pattern Ref`
  - `Transitive`
  - `Parameters`
  See Also:
    `PatternLanguagePackage.getPatternCall()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.common.util.EList<ValueReference>` | `getParameters()` Returns the value of the 'Parameters' containment reference list.
    `Pattern` | `getPatternRef()` Returns the value of the 'Pattern Ref' reference.
    `boolean` | `isTransitive()` Returns the value of the 'Transitive' attribute.
    `void` | `setPatternRef(Pattern value)` Sets the value of the '`Pattern Ref`' reference.
    `void` | `setTransitive(boolean value)` Sets the value of the '`Transitive`' attribute.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getPatternRef

          Pattern getPatternRef()

      Returns the value of the 'Pattern Ref' reference.

      If the meaning of the 'Pattern Ref' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Pattern Ref' reference.
      See Also:
        `setPatternRef(Pattern)`, `PatternLanguagePackage.getPatternCall_PatternRef()`

    - #### setPatternRef

          void setPatternRef(Pattern value)

      Sets the value of the '`Pattern Ref`' reference.
      Parameters:
        `value` - the new value of the 'Pattern Ref' reference.
      See Also:
        `getPatternRef()`

    - #### isTransitive

          boolean isTransitive()

      Returns the value of the 'Transitive' attribute.

      If the meaning of the 'Transitive' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Transitive' attribute.
      See Also:
        `setTransitive(boolean)`, `PatternLanguagePackage.getPatternCall_Transitive()`

    - #### setTransitive

          void setTransitive(boolean value)

      Sets the value of the '`Transitive`' attribute.
      Parameters:
        `value` - the new value of the 'Transitive' attribute.
      See Also:
        `isTransitive()`

    - #### getParameters

          org.eclipse.emf.common.util.EList<ValueReference> getParameters()

      Returns the value of the 'Parameters' containment reference list. The list contents are of type `ValueReference`.

      If the meaning of the 'Parameters' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Parameters' containment reference list.
      See Also:
        `PatternLanguagePackage.getPatternCall_Parameters()`